# CEGUI::MouseClickTracker Struct Reference

Implementation structure used in tracking up & down mouse button inputs in order to generate click, double-click, and triple-click events. More...

Collaboration diagram for CEGUI::MouseClickTracker:

[legend]
List of all members.

## Public Attributes

SimpleTimer | d_timer
| Timer used to track clicks for this button.
int | d_click_count
| count of clicks made so far.
Rect | d_click_area
| area used to detect multi-clicks
Window * | d_target_window
| target window for any events generated.

## Detailed Description

Implementation structure used in tracking up & down mouse button inputs in order to generate click, double-click, and triple-click events.